% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/createSets.R
\name{createSets}
\alias{createSets}
\title{Create sets from given data}
\usage{
createSets(.data, choice, attributes, uniquerow, prefix = "a")
}
\arguments{
\item{.data}{A data frame or tibble containing the data.}

\item{choice}{A string specifying the choice column.}

\item{attributes}{A selection condition for attribute columns (tidyselect compatible).}

\item{uniquerow}{A string specifying the unique row identifier column.}

\item{prefix}{A string specifying the prefix for renaming (default is "a").}
}
\value{
A list of tibbles representing the sets.
}
\description{
This function creates sets based on given attributes and choice columns.
It groups data by unique rows, calculates counts, and pivots the data for a
comprehensive overview.
}
\examples{
\dontrun{
# Given a package dataset 'sample_data':
createSets(sample_data, choice = "choice_col", attributes = starts_with("attr"), uniquerow = "id") }
}
